package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 简答题考试记录对象 short_answer_questions
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class ShortAnswerQuestions extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 简答题考试记录编号 */
    private Long shortAnswerQuestionsId;

    /** 删除标识 */
    private Integer delFlag;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    /** 伴宠师回答 */
    @Excel(name = "伴宠师回答")
    private String shortAnswerQuestionsReply;

    /** 简答题驳回理由 */
    @Excel(name = "简答题驳回理由")
    private String shortAnswerQuestionsSolve;

    /** 对或错，0为错，1为对 */
    @Excel(name = "对或错，0为错，1为对")
    private Long shortAnswerQuestionsTrueorfalse;

    /** 题目编号 */
    @Excel(name = "题目编号")
    private Long userId;

    public void setShortAnswerQuestionsId(Long shortAnswerQuestionsId) 
    {
        this.shortAnswerQuestionsId = shortAnswerQuestionsId;
    }

    public Long getShortAnswerQuestionsId() 
    {
        return shortAnswerQuestionsId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }
    public void setShortAnswerQuestionsReply(String shortAnswerQuestionsReply) 
    {
        this.shortAnswerQuestionsReply = shortAnswerQuestionsReply;
    }

    public String getShortAnswerQuestionsReply() 
    {
        return shortAnswerQuestionsReply;
    }
    public void setShortAnswerQuestionsSolve(String shortAnswerQuestionsSolve) 
    {
        this.shortAnswerQuestionsSolve = shortAnswerQuestionsSolve;
    }

    public String getShortAnswerQuestionsSolve() 
    {
        return shortAnswerQuestionsSolve;
    }
    public void setShortAnswerQuestionsTrueorfalse(Long shortAnswerQuestionsTrueorfalse) 
    {
        this.shortAnswerQuestionsTrueorfalse = shortAnswerQuestionsTrueorfalse;
    }

    public Long getShortAnswerQuestionsTrueorfalse() 
    {
        return shortAnswerQuestionsTrueorfalse;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("shortAnswerQuestionsId", getShortAnswerQuestionsId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .append("reamk", getReamk())
            .append("shortAnswerQuestionsReply", getShortAnswerQuestionsReply())
            .append("shortAnswerQuestionsSolve", getShortAnswerQuestionsSolve())
            .append("shortAnswerQuestionsTrueorfalse", getShortAnswerQuestionsTrueorfalse())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("userId", getUserId())
            .toString();
    }
}
